# ApplicationControl
Date: 2011-06-22

## jrummikub.control
Class ApplicationControl

    java.lang.Object
      jrummikub.control.ApplicationControl

    public class ApplicationControl

extends java.lang.Object

The application control controls the settings for a new games and create the game control

Constructor Summary
`ApplicationControl(jrummikub.view.IView view)` Creates a new application control

Method Summary
`boolean` `isGameRunning()` Checks if a game is currently running
`void` `startApplication()` Starts the application by showing the game settings dialog panel
`boolean` `startDedicatedServer(java.lang.String password)` Ensure the dedicated server is running
`void` `updateDedicatedServerPassword(jrummikub.util.LoginData loginData)` If the login given is to our own dedicated server, update it's password to match

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationControl

    public ApplicationControl(jrummikub.view.IView view)

  Creates a new application control

  Parameters:
    `view` - the view to use

Method Detail

### isGameRunning

    public boolean isGameRunning()

  Checks if a game is currently running

  Returns:
    true when a game is running

### startApplication

    public void startApplication()

  Starts the application by showing the game settings dialog panel

### startDedicatedServer

    public boolean startDedicatedServer(java.lang.String password)

  Ensure the dedicated server is running

  Parameters:
    `password` - password to use, if empty "jrummikub" is used
  Returns:
    whether the server could be started

### updateDedicatedServerPassword

    public void updateDedicatedServerPassword(jrummikub.util.LoginData loginData)

  If the login given is to our own dedicated server, update it's password to match

  Parameters:
    `loginData` - login data of user trying to connect